Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.utility
Class TextureRenderTarget

    java.lang.Object
      de.grogra.imp3d.glsl.utility.GLSLTexture
          de.grogra.imp3d.glsl.utility.TextureRenderTarget

All Implemented Interfaces:
  FBOAttachment, GLSLOpenGLObject

Direct Known Subclasses:
  GLSLShadowMap

    public class TextureRenderTarget

extends GLSLTexture
implements FBOAttachment

Field Summary
`static int` | `DEPTHUB`
`static int` | `RGBA16F`
`static int` | `RGBA16US`
`static int` | `RGBA32F`
`static int` | `RGBA8UB`

Fields inherited from class de.grogra.imp3d.glsl.utility.GLSLTexture
`height, index, internalFormat, texType, type, width`

Constructor Summary
`TextureRenderTarget()`

Method Summary
`void` | `attachToFbo(OpenGLState glState, int ATTACHMENT_POINT)`
`void` | `bindTo(OpenGLState glState, int targetTexNo)`
`void` | `create(OpenGLState glState, int FORMAT)`
`void` | `create(OpenGLState glState, int FORMAT, int type)`
`void` | `delete(OpenGLState glState, boolean javaonly)`
`void` | `resize(OpenGLState glState)`
`java.lang.String` | `toString()`

Methods inherited from class de.grogra.imp3d.glsl.utility.GLSLTexture
`bindTo, cleanup, delete, estimateSizeInByte, getHeight, getIndex, getTexType, getType, getWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.imp3d.glsl.utility.FBOAttachment
`estimateSizeInByte`

Field Detail

### DEPTHUB

    public static final int DEPTHUB

See Also:
  Constant Field Values

### RGBA16F

    public static final int RGBA16F

See Also:
  Constant Field Values

### RGBA16US

    public static final int RGBA16US

See Also:
  Constant Field Values

### RGBA32F

    public static final int RGBA32F

See Also:
  Constant Field Values

### RGBA8UB

    public static final int RGBA8UB

See Also:
  Constant Field Values

Constructor Detail

### TextureRenderTarget

    public TextureRenderTarget()

Method Detail

### attachToFbo

    public void attachToFbo(OpenGLState glState,
                            int ATTACHMENT_POINT)

  Specified by:
    `attachToFbo` in interface `FBOAttachment`

### bindTo

    public void bindTo(OpenGLState glState,
                       int targetTexNo)

### create

    public void create(OpenGLState glState,
                       int FORMAT)

  Specified by:
    `create` in interface `FBOAttachment`

### create

    public void create(OpenGLState glState,
                       int FORMAT,
                       int type)

### delete

    public void delete(OpenGLState glState,
                       boolean javaonly)

  Specified by:
    `delete` in interface `FBOAttachment`

### resize

    public void resize(OpenGLState glState)

  Specified by:
    `resize` in interface `FBOAttachment`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD